body {
    background-color: #fafafa;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

* {
    box-sizing: border-box;
}

.filters {
    /* max-width: 1000px; */
    width: 70%;
    margin: 20px auto 40px auto;
    padding: 0 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.filters>button {
    width: fit-content;
    padding: 15px 20px;
    background-color: #e6e6e6;
    /* -webkit-appearance: none; */
    border: none;
    font-size: 18px;
    outline: 0;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.filters>button:hover {
    background-color: #cecece;
    transition: all 0.3s ease-in-out;
}

.grid-container {
    width: 70%;
    margin: 0 auto;
    display: grid;
    /* grid-template-columns: 1fr 1fr 1fr; */
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    gap: 15px 15px;
}

@media screen and (max-width: 1200px) {
    .grid-container {
        width: 90%;
    }
}

/* @media screen and (max-width: 1000px) {
    .grid-container {
        grid-template-columns: 1fr 1fr;
    }
} */

.post {
    min-height: 400px;
    position: relative;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.post>img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.post-id {
    padding: 15px 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.6);
    font-size: 30px;
    color: #fff;
    opacity: 1;
    transition: all 0.3s ease-in-out;
}

.post:hover .post-id {
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

.post-content {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.post-title,
.post-body {
    text-align: center;
    color: #fff;
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

.post-title {
    font-size: 25px;
    line-height: 28px;
    font-weight: 600;
    padding: 0 15px;
}

.post-body {
    font-size: 14px;
    font-weight: 300;
    font-style: italic;
    padding: 30px 15px 15px 15px;
}

.post-content:before {
    content: "";
    width: 100%;
    height: 0%;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 0;
    transition: all 0.3s ease-in-out;
}

.post:hover .post-content:before {
    height: 100%;
    transition: all 0.3s ease-in-out;
}

.post:hover .post-title,
.post:hover .post-body {
    position: relative;
    opacity: 1;
    transition: all 0.3s ease-in-out;
}







/* General */

/* body #app {
  max-width: 1300px;
  margin: auto;
  padding: 20px;
} */